import { IPublicHostedZone } from 'aws-cdk-lib/aws-route53';
import { Construct } from 'constructs';
export interface ICrossRegionAccountSubZoneConfig {
    readonly primary: boolean;
    readonly primaryRegion: string;
    readonly secondaryRegion: string;
    readonly parentZoneName: string;
    readonly parentZoneId: string;
    readonly cicdAccount?: string;
}
export declare class CrossRegionAccountSubZone extends Construct {
    protected config: ICrossRegionAccountSubZoneConfig;
    constructor(scope: Construct, id: string, config: ICrossRegionAccountSubZoneConfig);
    setupCommon(accounts: string[], intermediateZonePrefix: string): void;
    setupDns(envName: string, parentZoneName: string): IPublicHostedZone;
}
